> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/api-and-structure/api-stage-structure/golf.md).

# Golf

All Golf markets, both pre-match and live, are delivered through the **Competition Odds producer (Producer ID: 14)**. Golf is organized into stages as well. Thanks to the "All Sport" end point, it is possible to retrieve the id of the sport which is 9 and retrieve all the stages thanks to the "All avaialble tournament for sport".

The end point provides all the available tournaments for such sport identified via stages.

```xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
  <sport_tournaments xmlns="http://schemas.sportradar.com/sportsapi/v1/unified" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" generated_at="2021-10-11T08:26:08+00:00" 
xsi:schemaLocation="http://schemas.sportradar.com/sportsapi/v1/unified http://schemas.sportradar.com/ufsportsapi/v1/endpoints/unified/ufsportsapi.xsd">
    <sport id="sr:sport:9" name="Golf"/>
    <tournaments>
      <tournament id="sr:stage:536398" name="European Tour 2020" scheduled="2011-11-28T00:00:00+00:00" scheduled_end="2021-11-22T00:00:00+00:00">
        <sport id="sr:sport:9" name="Golf"/>
        <category id="sr:category:28" name="Men"/>
      </tournament>
      <tournament id="sr:stage:538072" name="European Tour 2020" scheduled="2019-11-27T16:00:00+00:00" scheduled_end="2020-12-13T20:00:00+00:00">
        <sport id="sr:sport:9" name="Golf"/>
        <category id="sr:category:28" name="Men"/>
      </tournament>
      <tournament id="sr:stage:548947" name="Pga Australia Tour 2019" scheduled="2019-01-01T00:00:00+00:00" scheduled_end="2020-12-31T00:00:00+00:00">
        <sport id="sr:sport:9" name="Golf"/>
        <category id="sr:category:28" name="Men"/>
      </tournament>
      <tournament id="sr:stage:553899" name="Lpga Tour 2020" scheduled="2019-12-01T05:00:00+00:00" scheduled_end="2020-11-30T05:00:00+00:00">
        <sport id="sr:sport:9" name="Golf"/>
        <category id="sr:category:28" name="Men"/>
      </tournament>
    </tournaments>
  </sport_tournaments>
```

\
Once all the stages are retrieved, it is possible to filter the stages one by one in the end point "Schedule for a tournament" and get more information.

The scheduled start date and end date are not to be taken into consideration for outrights. Dates related to outrights are sent via the UOF AMQP messages.

```xml
<?xml version="1.0" encoding="UTF-8"?>
  <race_schedule xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" generated_at="2021-10-11T08:46:34+00:00" 
xmlns="http://schemas.sportradar.com/sportsapi/v1/unified" xsi:schemaLocation="http://schemas.sportradar.com/sportsapi/v1/unified 
http://schemas.sportradar.com/bsa/unified/v1/xml/endpoints/unified/race_schedule.xsd">
    <tournament id="sr:stage:536398" scheduled="2011-11-28T00:00:00+00:00" scheduled_end="2021-11-22T00:00:00+00:00" name="European Tour 2020">
      <sport id="sr:sport:9" name="Golf"/>
      <category id="sr:category:28" name="Men"/>
    </tournament>
  </race_schedule>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/uof/api-and-structure/api-stage-structure/golf.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
